{
	saved_FirstTime[1]
	
	Init[()
	{
		if(saved_FirstTime=1)
		{
			SetNationality(0); GiveWeapon(43); SetInvulnerable(true);
			SetState_Patrol(0); SetAttackDistance(18,2); SetLineOfSight(1,190);
			PlayAnimation(7);
			saved_FirstTime = 0;
		}	
	}]

	DelayReached[(t)
	{
		if(t=1)
		{
			SetState_Patrol(0);
			SetAttackDistance(14,2);
			SetLineOfSight(1,120);
			
			FollowPath("Cover_1",0);
			FollowPathCallback(2,"DontAttack");
			FollowPathCallback(127,"WaitNSee");	
		}		
	}]
	
	CoverOrders[()
	{
		TurnToEntity(GetPlayer());
		PlaySound(91);
		PlayAnimation(29,127);
		Delay(3,1);			
	}]

	DontAttack[()
	{
		SetState_Idle();
	}]
	
	WaitNSee[()
	{
		StopFollowingPath();
		SetCrouching();
		PlayAnimation(8);	
	}]
	
	CoverAgain[()
	{
		SetRunning();
		FollowPath("Cover_2",0);
		FollowPathCallback(127,"EndDuck");	
		SetState_Patrol(0);
		SetAttackDistance(14,2);
		SetLineOfSight(1,120);
	}]
	
	EndDuck[()
	{
		StopFollowingPath();
		PlayAnimation(8);
		SetState_Idle();	
	}]
	
	Warp[()
	{
		SetPosition(13184,27008,-32);
		PlayAnimation(7);		
	}]
	
	GuideAgain[()
	{
		FollowPath("Cover_3",0);
		SetRunning();
		SetState_Patrol(0);
		SetAttackDistance(14,2);
		SetLineOfSight(1,120);
		FollowPathCallback(127,"EndGuide");
	}]
	
	EndGuide[()
	{
		StopFollowingPath();
		SetState_Idle();
		PlayAnimation(8);	
	}]
}